uucp(1)

NUME
uucp - copiere de la Unix la Unix

SINOPSIS
uucp [ opțiuni ] fișier-sursă fișier-destinație

uucp [ opțiuni] fișier-sursă... fișier-destinație

DESCRIERE
Comanda uucp copiază fișiere între sisteme. Fiecare argument fișier este fie o rută de acces pe mașina locală, fie este de forma

    sistem!ruta

care este interpretat ca fiind pe un sistem la distanță. În prima formă, conținutul primului fișier este copiat în cel de-al doilea. În a doua formă, fiecare fișier sursă este copiat în directorul de destinație. Un fișier poate fi transferat către sau de la sistem2 prin intermediul sistem1, utilizând

    sistem1!sistem2!ruta.

Orice nume de rută care nu începe cu / sau ~ va fi adăugat la directorul curent (cu excepția cazului în care se utilizează opțiunea -W sau --no-expand); această rută rezultată nu va exista neapărat pe un sistem la distanță. Un nume de rută care începe cu un simplu ~ începe în directorul public UUCP; un nume de rută care începe cu ~nume începe în directorul personal al utilizatorului numit. ~ este interpretat pe sistemul corespunzător. Rețineți că unele shell-uri vor interpreta un ~ simplu ca directorul personal local înainte ca uucp să îl vadă; pentru a evita acest lucru, ~ trebuie să fie pus între ghilimele. Metacaractere de shell ? * [ ] sunt interpretate pe sistemul corespunzător, presupunând că sunt puse între ghilimele pentru a împiedica shell-ul să le interpreteze mai întâi. Copierea nu are loc imediat, ci este pusă în coadă pentru demonul uucico (8); demonul este pornit imediat, cu excepția cazului în care nu se dă opțiunea -r sau --nouucico. În orice caz, la următoarea apelare a sistemului de la distanță, fișierele vor fi copiate.

OPȚIUNI
Următoarele opțiuni pot fi date lui uucp.

-c, --nocopy
    Nu copiază fișierele sursă locale în directorul „spool”. Dacă acestea sunt eliminate înainte de a fi procesate de demonul uucico (8), copia va eșua. Fișierele trebuie să poată fi citite de către demonul uucico (8) și de către utilizatorul care le invocă.

-C, --copy
    Copiază fișierele sursă locale în directorul „spool”. Aceasta este opțiunea implicită.

-d, --directories
    Crează toate directoarele necesare atunci când se face copia. Aceasta este opțiunea implicită.

-f, --nodirectories
    În cazul în care nu există niciunul dintre directoarele necesare pentru ruta de destinație, copia este întreruptă.

-R, --recursive
    În cazul în care oricare dintre numele de fișiere sursă sunt directoare, se copiază conținutul acestora în mod recursiv la destinație (care trebuie să fie la rândul său un director).

-g grad, --grade grad
    Stabilește gradul comenzii de transfer de fișiere. Sarcinile de un grad mai mare sunt executate primele. Gradele se execută 0 ... 9 A ... Z a ... z de la mare la mic.

-m, --mail
    Raportează finalizarea sau eșecul transferului de fișiere prin mail (1).

-n utilizator, --notify utilizator
    Raportează finalizarea sau eșecul transferului de fișiere prin mail (1) către utilizatorul numit de pe sistemul de la distanță.

-r, --nouucico
    Nu pornește imediat demonul uucico (8); doar pune în coadă transferul de fișiere pentru o execuție ulterioară.

-j, --jobid
    Imprimă id-ul sarcinii la ieșirea standard. Sarcina poate fi anulată ulterior, trecând id-ul sarcinii la opțiunea -k din uustat (1). Este posibil ca unele operații complexe să producă mai mult de un id de sarcină, caz în care fiecare va fi imprimat pe o linie separată. De exemplu
    uucp sistem1!~utilizator1/fișier1 sistem2!~utilizator2/fișier2 ~utilizator3
    va genera două sarcini separate, una pentru sistemul sistem1 și alta pentru sistemul sistem2.

-W, --noexpand
    Nu adaugă numele rutelor relative de la distanță cu directorul curent.

-t, --uuto
    Această opțiune este utilizată de scriptul de shell uuto. Aceasta face ca uucp să interpreteze argumentul final ca fiind sistem!utilizator. Fișierele sunt trimise la ~/primire/UTILIZATOR/LOCAL pe sistemul de la distanță, unde UTILIZATOR este din argumentul final și LOCAL este numele sistemului UUCP local. De asemenea, uucp va acționa ca și cum --notify utilizator ar fi fost specificată.

-x tip, --debug tip
    Activează anumite tipuri de depanare. Sunt recunoscute următoarele tipuri: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Numai abnormal, config, spooldir și execute sunt semnificative pentru uucp. Se pot indica mai multe tipuri, separate prin virgule, iar opțiunea --debug poate apărea de mai multe ori. De asemenea, se poate indica un număr, care va activa atâtea tipuri din lista de mai sus; de exemplu, --debug 2 este echivalent cu --debug abnormal,chat.

-I fișier, --config fișier
    Stabilește fișierul de configurare care urmează să fie utilizat. Este posibil ca această opțiune să nu fie disponibilă, în funcție de modul în care a fost compilat uucp.

-v, --version
    Comunică informațiile despre versiune și iese.

--help
    Imprimă un mesaj de ajutor și iese.

CONSULTAȚI ȘI
mail(1), uux(1), uustat(1), uucico(8)

ERORI
Unele dintre opțiuni depind de capacitățile demonului uucico (8) de pe sistemul la distanță. Opțiunile -n și -m nu funcționează atunci când se transferă un fișier de la un sistem la distanță la altul. Modurile de fișier (permisiunile acestuia) nu sunt păstrate, cu excepția bitului de execuție. Fișierul rezultat este deținut de utilizatorul „uucp”.

AUTOR
Ian Lance Taylor <ian@airs.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.